Bug 1248760 (CVE-2015-5165, xsa140) - CVE-2015-5165 Qemu: rtl8139 uninitialized heap memory information leakage to guest (XSA-140)
Summary: CVE-2015-5165 Qemu: rtl8139 uninitialized heap memory information leakage to ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-5165, xsa140
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1248761 1248763 1248764 1248766 1248767 1248768 1249755 1249756 1251791 1251792 1251793 1251794
Blocks: 1243299
TreeView+ depends on / blocked
 
Reported: 2015-07-30 18:49 UTC by Prasad J Pandit
Modified: 2019-09-29 13:35 UTC (History)
29 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An information leak flaw was found in the way QEMU's RTL8139 emulation implementation processed network packets under RTL8139 controller's C+ mode of operation. An unprivileged guest user could use this flaw to read up to 65 KB of uninitialized QEMU heap memory.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:42:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1674 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2015-08-25 00:18:10 UTC
Red Hat Product Errata RHSA-2015:1683 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2015-08-25 09:44:24 UTC
Red Hat Product Errata RHSA-2015:1718 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2015-09-03 21:35:44 UTC
Red Hat Product Errata RHSA-2015:1739 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security update 2015-09-07 19:49:34 UTC
Red Hat Product Errata RHSA-2015:1740 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security fix update 2015-09-07 19:49:19 UTC
Red Hat Product Errata RHSA-2015:1793 normal SHIPPED_LIVE Moderate: qemu-kvm security fix update 2015-09-15 15:33:06 UTC
Red Hat Product Errata RHSA-2015:1833 normal SHIPPED_LIVE Moderate: qemu-kvm security update 2015-09-22 21:08:10 UTC

Description Prasad J Pandit 2015-07-30 18:49:50 UTC
Qemu emulator built with the RTL8139 emulation support is vulnerable to an
information leakage flaw. It could occur while processing network packets
under RTL8139 controller's C+ mode of operation.

A guest user could use this flaw to read uninitialised Qemu heap memory upto
65K bytes.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=2a3612ccc1fa9cea77bd193afbfe21c77e7e91ef

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/08/03/4

Comment 3 Prasad J Pandit 2015-07-30 18:58:17 UTC
Statement: 

This issue affects the versions of kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7.

This issue affects the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affects the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and
maintenance life cycle. This has been rated as having Moderate security
impact and is not currently planned to be addressed in future updates. For
additional information, refer to the Red Hat Enterprise Linux Life
Cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 4 Prasad J Pandit 2015-08-03 17:34:31 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1249756]

Comment 5 Prasad J Pandit 2015-08-03 17:34:37 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1249755]

Comment 6 Martin Prpič 2015-08-04 08:09:21 UTC
External References:

http://xenbits.xen.org/xsa/advisory-140.html

Comment 7 Martin Prpič 2015-08-04 08:11:20 UTC
Acknowledgement:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Donghai Zhu of Alibaba as the original reporter.

Comment 12 Fedora Update System 2015-08-18 05:17:04 UTC
qemu-2.3.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-08-23 16:40:44 UTC
qemu-2.4.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 errata-xmlrpc 2015-08-24 20:18:20 UTC
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2015:1674 https://rhn.redhat.com/errata/RHSA-2015-1674.html

Comment 15 errata-xmlrpc 2015-08-25 05:44:32 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7
  OpenStack 5 for RHEL 6

Via RHSA-2015:1683 https://rhn.redhat.com/errata/RHSA-2015-1683.html

Comment 16 Fedora Update System 2015-08-26 21:08:41 UTC
xen-4.5.1-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14361

Comment 17 Fedora Update System 2015-08-26 21:13:07 UTC
xen-4.5.1-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14362

Comment 18 Fedora Update System 2015-08-26 21:16:12 UTC
xen-4.4.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14363

Comment 19 Fedora Update System 2015-09-01 07:26:10 UTC
qemu-2.1.3-9.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-09-01 18:31:17 UTC
xen-4.5.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 errata-xmlrpc 2015-09-03 17:36:12 UTC
This issue has been addressed in the following products:

  OpenStack 7 For RHEL 7

Via RHSA-2015:1718 https://access.redhat.com/errata/RHSA-2015:1718

Comment 22 errata-xmlrpc 2015-09-07 15:49:27 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2015:1740 https://rhn.redhat.com/errata/RHSA-2015-1740.html

Comment 23 errata-xmlrpc 2015-09-07 15:49:48 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-7

Via RHSA-2015:1739 https://rhn.redhat.com/errata/RHSA-2015-1739.html

Comment 24 errata-xmlrpc 2015-09-15 11:34:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1793 https://rhn.redhat.com/errata/RHSA-2015-1793.html

Comment 25 errata-xmlrpc 2015-09-22 17:08:30 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1833 https://rhn.redhat.com/errata/RHSA-2015-1833.html

Comment 26 Fedora Update System 2015-09-26 21:49:53 UTC
xen-4.4.3-3.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2015-09-27 03:22:24 UTC
xen-4.5.1-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.